<script lang="ts">
  import Modal from 'components/Modal';
  import {
    Dialog,
    DialogBody,
    DialogFooter,
    DialogHeader,
  } from 'components/Dialog';
  import { mutation } from '@urql/svelte';
  import {
    UpdateKanbanDocument,
    type UpdateKanbanMutation,
    type UpdateKanbanMutationVariables,
  } from 'generated/graphql';
  import TextInput from 'components/TextInput';
  import { kanbanId } from 'stores/authStore';

  const updateKanbanMutation = mutation<UpdateKanbanMutation, UpdateKanbanMutationVariables>({ query: UpdateKanbanDocument });

  export let show = false;
  export let onClose = null;
  
  export let email = '';

  const handleSubmit = async () => {
    await updateKanbanMutation({ collaboratorEmail: email.trim(), kanbanId: $kanbanId, data: {} });
    onClose();
  };
</script>

<Modal {show}>
  <Dialog>
    <DialogHeader {onClose}>Add collaborator</DialogHeader>
      <form class="w-full" on:submit|preventDefault={handleSubmit}>
        <DialogBody>
          <TextInput
            bind:value={email}
            id="email"
            label="Email"
            placeholder="name@example.com"
            required="true"
          />
        </DialogBody>
        <DialogFooter>
          <button
            on:click={onClose}
            class="text-gray-500 bg-white hover:bg-gray-100 focus:ring-4 focus:outline-none focus:ring-blue-300 rounded-lg
                border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10 dark:bg-gray-700
                dark:text-gray-300 dark:border-gray-500 dark:hover:text-white dark:hover:bg-gray-600 dark:focus:ring-gray-600"
          >
            Cancel
          </button>
          <button
            type="submit"
            class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium
                rounded-lg text-sm px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
          >
            Add
          </button>
        </DialogFooter>
    </form>
  </Dialog>
</Modal>
